<template>
  <div>
    <rui-field label="Tag" help="Use '::' to create segments" inline>
      <input v-model="tag" type="text">
      <label v-if="useCustomColor" class="rui-field__field__append">
        <input v-model="color" type="color" class="-p0 -b--none"> Pick a color
      </label>
      <label class="rui-field__field__append">
        <input v-model="useCustomColor" type="checkbox"> Use a custom color
      </label>
    </rui-field>

    <div class="-flex -gap -mtd">
      <strong>Result:</strong>
      <rui-tag :color="color" :tag="tag" />
    </div>
  </div>
</template>

<script>
export default {
  data () {
    return {
      useCustomColor: true,
      color: '#FF3333',
      tag: 'this::tag::is::going::places',
    }
  },
  watch: {
    useCustomColor (newValue) { if (!newValue) this.color = null },
  },
}
</script>
